Index: issm/trunk-jpl/externalpackages/hdf5/install.sh
===================================================================
--- issm/trunk-jpl/externalpackages/hdf5/install.sh	(revision 24270)
+++ issm/trunk-jpl/externalpackages/hdf5/install.sh	(revision 24271)
@@ -2,27 +2,30 @@
 set -eu
 
-#Some cleanup
-rm -rf src install hdf5-1.8.9
+VER="1.8.9"
+
+# Cleanup
+rm -rf src install hdf5-${VER}
 mkdir src install
 
-#Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.sh 'https://issm.ess.uci.edu/files/externalpackages/hdf5-1.8.9.tar.gz' 'hdf5-1.8.9.tar.gz'
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/hdf5-${VER}.tar.gz" "hdf5-${VER}.tar.gz"
 
-#Untar 
-tar -zxvf  hdf5-1.8.9.tar.gz
+# Untar source
+tar -zxvf  hdf5-${VER}.tar.gz
 
-#Move hdf5 to src directory
+# Move source to src directory
 rm -rf src/*
-mv hdf5-1.8.9/* src/
-rm -rf hdf5-1.8.9
+mv hdf5-${VER}/* src/
+rm -rf hdf5-${VER}
 
-# This project uses C code with C++ style comment default C standard used by 
-# GNU's C compiler's default C standard  does not support C++ style comments.
-# As such, we need to specify a standard that does.
+# This project uses C code with C++-style comments. As such, we need to specify
+# a C standard that supports them.
 export CFLAGS='-std=c99'
 
-#Configure and compile
+# Configure, compile, and install
 cd src
-./configure  --prefix="$ISSM_DIR/externalpackages/hdf5/install" 
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/hdf5/install"
+
 if [ $# -eq 0 ]; then
 	make
Index: issm/trunk-jpl/jenkins/jenkins.sh
===================================================================
--- issm/trunk-jpl/jenkins/jenkins.sh	(revision 24270)
+++ issm/trunk-jpl/jenkins/jenkins.sh	(revision 24271)
@@ -149,5 +149,5 @@
 
 	#install if requested or if previous install has not been successful
-	if [ "$ISSM_EXTERNALPACKAGES" == "yes" ] || [ ! -d ./install -a ! -d ./install-javascript ] || ([ -d ./install ] && [ ! "$(ls -A ./install)" ]) || ([ -d ./install-javascript ] && [ ! "$(ls -A ./install-javascript)" ]); then
+	if [ "$ISSM_EXTERNALPACKAGES" == "yes" ] || [[ ! -d ./install && ! -d ./install-javascript ]]; then
 		echo "======================================================";
 		echo "       Installing $PACKAGENAME                        ";
@@ -353,33 +353,33 @@
 # {{{
 if [ $PYTHON_TEST -eq 1 ]; then
-#Launch all tests on different cpus
-export PYTHONPATH="$ISSM_DIR/src/m/dev"
-export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
-export PYTHONUNBUFFERED=1 #we don't want python to buffer otherwise issm.exe output is not captured
-for (( i=1;i<=$NUMCPUS_RUN;i++ ))
-do
-	cd $ISSM_DIR/test/NightlyRun
-	echo "--------------Running Python test for Rank $i---------------------"
-	./runme.py --output=nightly --rank=$i --numprocs=$NUMCPUS_RUN $PYTHON_NROPTIONS &> $ISSM_DIR/nightlylog/python_log$i.log &
-	echo "--------------Running Python test for Rank $i---------------------"
-done
-
-# concatenate reports
-cd $ISSM_DIR/nightlylog/
-if [ -f python_log.log ]; then
-	rm python_log.log
-fi
-
-for job in `jobs -p`
-do
-echo "Waiting on: $job"
-    wait $job
-done
-
-for (( i=1;i<=$NUMCPUS_RUN;i++ ))
-do
-	echo "This is the concatenation phase for rank: python_log$i.log"
-	cat python_log$i.log >> python_log.log
-done
+	#Launch all tests on different cpus
+	export PYTHONPATH="$ISSM_DIR/src/m/dev"
+	export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
+	export PYTHONUNBUFFERED=1 #we don't want python to buffer otherwise issm.exe output is not captured
+	for (( i=1;i<=$NUMCPUS_RUN;i++ ))
+	do
+		cd $ISSM_DIR/test/NightlyRun
+		echo "--------------Running Python test for Rank $i---------------------"
+		./runme.py --output=nightly --rank=$i --numprocs=$NUMCPUS_RUN $PYTHON_NROPTIONS &> $ISSM_DIR/nightlylog/python_log$i.log &
+		echo "--------------Running Python test for Rank $i---------------------"
+	done
+
+	# concatenate reports
+	cd $ISSM_DIR/nightlylog/
+	if [ -f python_log.log ]; then
+		rm python_log.log
+	fi
+
+	for job in `jobs -p`
+	do
+	echo "Waiting on: $job"
+	    wait $job
+	done
+
+	for (( i=1;i<=$NUMCPUS_RUN;i++ ))
+	do
+		echo "This is the concatenation phase for rank: python_log$i.log"
+		cat python_log$i.log >> python_log.log
+	done
 fi
 # }}}
@@ -506,4 +506,5 @@
 	done
 fi
+
 if [ $PYTHON_TEST -eq 1 ]; then
 	#number tests:
@@ -517,23 +518,23 @@
 		juLog  -test=PYTHON-$i -name=Failure -error=FAILURE awk "/starting:$i/{flag=1;next}/finished/{flag=0} flag{print}" python_log.log
 	done
-fi
-
-# Check that Python did not exit in error
-pythonExitedInError=`grep -E "Traceback|bad interpreter" python_log.log | wc -l`
-
-if [ $pythonExitedInError -ne 0 ]
-then
-	echo "----------Python exited in error!----------"
-	cat python_log.log
-	echo "-----------End of python_log.log-----------"
-
-	# Clean up execution directory
-	rm -rf $ISSM_DIR/execution/*
-
-	exit 1
-fi
-
-# Python tests must have run and exited successfully (unless we have missed something)
-echo "PYTHONEXITEDCORRECTLY"
+
+	# Check that Python did not exit in error
+	pythonExitedInError=`grep -E "Traceback|bad interpreter" python_log.log | wc -l`
+
+	if [ $pythonExitedInError -ne 0 ]
+	then
+		echo "----------Python exited in error!----------"
+		cat python_log.log
+		echo "-----------End of python_log.log-----------"
+
+		# Clean up execution directory
+		rm -rf $ISSM_DIR/execution/*
+
+		exit 1
+	fi
+
+	# Python tests must have run and exited successfully (unless we have missed something)
+	echo "PYTHONEXITEDCORRECTLY"
+fi
 
 if [ $EXAMPLES_TEST -eq 1 ];