Index: issm/trunk-jpl/test/NightlyRun/test220.js
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test220.js	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test220.js	(revision 24468)
@@ -11,11 +11,10 @@
 
 //Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure'];
-field_tolerances=[1e-09,1e-09,5e-06,1e-09,1e-09];
+field_names     =['Vx','Vy','Vz','Vel'];
+field_tolerances=[1e-09,1e-09,5e-06,1e-09];
 field_values=[
 	(md.results.StressbalanceSolution[0].Vx),
 	(md.results.StressbalanceSolution[0].Vy),
 	(md.results.StressbalanceSolution[0].Vz),
-	(md.results.StressbalanceSolution[0].Vel),
-	(md.results.StressbalanceSolution[0].Pressure),
-	];
+	(md.results.StressbalanceSolution[0].Vel)
+];
Index: issm/trunk-jpl/test/NightlyRun/test220.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test220.m	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test220.m	(revision 24468)
@@ -10,11 +10,10 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure'};
-field_tolerances={1e-09,1e-09,5e-06,1e-09,1e-09};
+field_names     ={'Vx','Vy','Vz','Vel'};
+field_tolerances={1e-09,1e-09,5e-06,1e-09};
 field_values={...
 	(md.results.StressbalanceSolution.Vx),...
 	(md.results.StressbalanceSolution.Vy),...
 	(md.results.StressbalanceSolution.Vz),...
-	(md.results.StressbalanceSolution.Vel),...
-	(md.results.StressbalanceSolution.Pressure),...
-	};
+	(md.results.StressbalanceSolution.Vel)...
+};
Index: issm/trunk-jpl/test/NightlyRun/test220.py
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test220.py	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test220.py	(revision 24468)
@@ -20,9 +20,9 @@
 # Fields and tolerances to track changes
 
-field_names = ['Vx', 'Vy', 'Vz', 'Vel', 'Pressure']
-field_tolerances = [1e-09, 1e-09, 5e-06, 1e-09, 1e-09]
+field_names = ['Vx', 'Vy', 'Vz', 'Vel']
+field_tolerances = [1e-09, 1e-09, 5e-06, 1e-09]
 field_values = [md.results.StressbalanceSolution.Vx,
                 md.results.StressbalanceSolution.Vy,
                 md.results.StressbalanceSolution.Vz,
-                md.results.StressbalanceSolution.Vel,
-                md.results.StressbalanceSolution.Pressure]
+                md.results.StressbalanceSolution.Vel
+]
Index: issm/trunk-jpl/test/NightlyRun/test221.js
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test221.js	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test221.js	(revision 24468)
@@ -10,11 +10,10 @@
 
 //Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure'];
-field_tolerances=[1e-09,1e-09,5e-06,1e-09,1e-09];
+field_names     =['Vx','Vy','Vz','Vel'];
+field_tolerances=[1e-09,1e-09,5e-06,1e-09];
 field_values=[
 	(md.results.StressbalanceSolution[0].Vx),
 	(md.results.StressbalanceSolution[0].Vy),
 	(md.results.StressbalanceSolution[0].Vz),
-	(md.results.StressbalanceSolution[0].Vel),
-	(md.results.StressbalanceSolution[0].Pressure),
-	];
+	(md.results.StressbalanceSolution[0].Vel)
+];
Index: issm/trunk-jpl/test/NightlyRun/test221.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test221.m	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test221.m	(revision 24468)
@@ -9,6 +9,6 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure'};
-field_tolerances={1e-09,1e-09,5e-06,1e-09,1e-09};
+field_names     ={'Vx','Vy','Vz','Vel'};
+field_tolerances={1e-09,1e-09,5e-06,1e-09};
 field_values={...
 	(md.results.StressbalanceSolution.Vx),...
@@ -16,4 +16,3 @@
 	(md.results.StressbalanceSolution.Vz),...
 	(md.results.StressbalanceSolution.Vel),...
-	(md.results.StressbalanceSolution.Pressure),...
-	};
+};
Index: issm/trunk-jpl/test/NightlyRun/test221.py
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test221.py	(revision 24456)
+++ issm/trunk-jpl/test/NightlyRun/test221.py	(revision 24468)
@@ -18,9 +18,9 @@
 
 #Fields and tolerances to track changes
-field_names = ['Vx', 'Vy', 'Vz', 'Vel', 'Pressure']
-field_tolerances = [1e-09, 1e-09, 5e-06, 1e-09, 1e-09]
+field_names = ['Vx', 'Vy', 'Vz', 'Vel']
+field_tolerances = [1e-09, 1e-09, 5e-06, 1e-09]
 field_values = [md.results.StressbalanceSolution.Vx,
                 md.results.StressbalanceSolution.Vy,
                 md.results.StressbalanceSolution.Vz,
-                md.results.StressbalanceSolution.Vel,
-                md.results.StressbalanceSolution.Pressure]
+                md.results.StressbalanceSolution.Vel
+]