Index: issm/trunk-jpl/test/NightlyRun/test2004.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test2004.m	(revision 25077)
+++ issm/trunk-jpl/test/NightlyRun/test2004.m	(revision 25124)
@@ -144,5 +144,5 @@
 	if bas.iscontinentany('antarctica'),
 		if testagainst2002,
-			md.slr.deltathickness=zeros(md.mesh.numberofelements,1);
+			md.solidearth.surfaceload.icethicknesschange=zeros(md.mesh.numberofelements,1);
 			%antarctica
 			late=sum(md.mesh.lat(md.mesh.elements),2)/3;
@@ -151,5 +151,5 @@
 			ratio=0.225314032985172/0.193045366574523;
 			%ratio=   1.276564103522540/.869956;
-			md.slr.deltathickness(pos)=-100*ratio;
+			md.solidearth.surfaceload.icethicknesschange(pos)=-100*ratio;
 		else
 			delH=textread('../Data/AIS_delH_trend.txt');
@@ -159,14 +159,12 @@
 			northpole=find_point(md.mesh.long,md.mesh.lat,0,90); delHAIS(northpole)=0;
 			
-			md.slr.deltathickness=delHAIS(md.mesh.elements)*[1;1;1]/3/100;
+			md.solidearth.surfaceload.icethicknesschange=delHAIS(md.mesh.elements)*[1;1;1]/3/100;
 		end
 
-		md.slr.sealevel=zeros(md.mesh.numberofvertices,1);
-		md.slr.spcthickness=NaN*ones(md.mesh.numberofvertices,1);
+		md.solidearth.sealevel=zeros(md.mesh.numberofvertices,1);
 
 		md.dsl.global_average_thermosteric_sea_level_change=[0;0];
 		md.dsl.sea_surface_height_change_above_geoid=zeros(md.mesh.numberofvertices+1,1);
 		md.dsl.sea_water_pressure_change_at_sea_floor=zeros(md.mesh.numberofvertices+1,1);
-		md.slr.hydro_rate = zeros(md.mesh.numberofvertices,1);
 
 	end %}}}
@@ -243,5 +241,5 @@
 	if testagainst2002, 
 		% {{{
-		md.slr.deltathickness=zeros(md.mesh.numberofelements,1);
+		md.solidearth.surfaceload.icethicknesschange=zeros(md.mesh.numberofelements,1);
 		%greenland
 		late=sum(md.mesh.lat(md.mesh.elements),2)/3;
@@ -249,5 +247,5 @@
 		pos=find(late > 70 &  late < 80 & longe>-60 & longe<-30);
 		ratio=.3823/.262344;
-		%md.slr.deltathickness(pos)=-100*ratio;
+		%md.solidearth.surfaceload.icethicknesschange(pos)=-100*ratio;
 
 		%correct mask: 
@@ -256,5 +254,5 @@
 	else
 
-		md.slr.deltathickness=zeros(md.mesh.numberofelements,1);
+		md.solidearth.surfaceload.icethicknesschange=zeros(md.mesh.numberofelements,1);
 
 		delH=textread('../Data/GIS_delH_trend.txt');
@@ -271,10 +269,10 @@
 
 		pos=find(delHGISe);
-		md.slr.deltathickness(pos)=delHGISe(pos)/100;
+		md.solidearth.surfaceload.icethicknesschange(pos)=delHGISe(pos)/100;
 		pos=find(delHGLAe);
-		md.slr.deltathickness(pos)=delHGLAe(pos)/100;
+		md.solidearth.surfaceload.icethicknesschange(pos)=delHGLAe(pos)/100;
 
 		%adjust mask accordingly: 
-		pos=find(md.slr.deltathickness); 
+		pos=find(md.solidearth.surfaceload.icethicknesschange); 
 		flags=zeros(md.mesh.numberofvertices,1); 
 		flags(md.mesh.elements(pos,:))=1;
@@ -284,12 +282,10 @@
 	end
 
-	md.slr.sealevel=zeros(md.mesh.numberofvertices,1);
-	md.slr.spcthickness=NaN*ones(md.mesh.numberofvertices,1);
+	md.solidearth.sealevel=zeros(md.mesh.numberofvertices,1);
 
 	md.dsl.global_average_thermosteric_sea_level_change=[0;0];
-	%md.slr.steric_rate=(1.1+.38)*ones(md.mesh.numberofvertices,1); %steric + water storage.
+	%md.dsl.steric_rate=(1.1+.38)*ones(md.mesh.numberofvertices,1); %steric + water storage.
 	md.dsl.sea_surface_height_change_above_geoid=zeros(md.mesh.numberofvertices+1,1);
 	md.dsl.sea_water_pressure_change_at_sea_floor=zeros(md.mesh.numberofvertices+1,1);
-	md.slr.hydro_rate = zeros(md.mesh.numberofvertices,1);
 
 	%}}}
@@ -331,8 +327,6 @@
 sl.transfer('mesh.lat');
 sl.transfer('mesh.long');
-sl.transfer('slr.deltathickness');
-sl.transfer('slr.spcthickness');
-sl.transfer('slr.hydro_rate');
-sl.transfer('slr.sealevel');
+sl.transfer('solidearth.surfaceload.icethicknesschange');
+sl.transfer('solidearth.sealevel');
 sl.transfer('dsl.sea_surface_height_change_above_geoid');
 sl.transfer('dsl.sea_water_pressure_change_at_sea_floor');
@@ -361,8 +355,8 @@
 %elastic loading from love numbers: 
 nlov=101;
-md.slr.love_h = love_numbers('h','CM'); md.slr.love_h(nlov+1:end)=[];
-md.slr.love_k = love_numbers('k','CM'); md.slr.love_k(nlov+1:end)=[];
-md.slr.love_l = love_numbers('l','CM'); md.slr.love_l(nlov+1:end)=[];
-md.slr.ocean_area_scaling = 0; 
+md.solidearth.love.h = love_numbers('h','CM'); md.solidearth.love.h(nlov+1:end)=[];
+md.solidearth.love.k = love_numbers('k','CM'); md.solidearth.love.k(nlov+1:end)=[];
+md.solidearth.love.l = love_numbers('l','CM'); md.solidearth.love.l(nlov+1:end)=[];
+md.solidearth.settings.ocean_area_scaling = 0; 
 
 %Miscellaneous
@@ -373,16 +367,16 @@
 
 %Solution parameters
-md.slr.reltol=NaN;
-md.slr.abstol=1e-3;
-md.slr.geodetic=1;
+md.solidearth.settings.reltol=NaN;
+md.solidearth.settings.abstol=1e-3;
+md.solidearth.settings.computesealevelchange=1;
 md.timestepping.time_step=1;
 
 % max number of iteration reverted back to 10 (i.e., the original default value)
-md.slr.maxiter=10;
+md.solidearth.settings.maxiter=10;
 
 %eustatic run:
-md.slr.rigid=0; md.slr.elastic=0;md.slr.rotation=0;
-md.slr.requested_outputs= {'default',...
-	    'SealevelriseDeltathickness','Sealevel','SealevelRSLRate','SealevelriseCumDeltathickness',...
+md.solidearth.settings.rigid=0; md.solidearth.settings.elastic=0;md.solidearth.settings.rotation=0;
+md.solidearth.requested_outputs= {'default',...
+	    'SurfaceloadIceThicknessChange','Sealevel','SealevelRSLRate','SealevelriseCumDeltathickness',...
 		    'SealevelNEsaRate', 'SealevelUEsaRate', 'NGiaRate', 'UGiaRate','SealevelEustaticMask','SealevelEustaticOceanMask'};
 md=solve(md,'Sealevelrise');
@@ -390,15 +384,15 @@
 
 %eustatic + rigid run:
-md.slr.rigid=1; md.slr.elastic=0;md.slr.rotation=0;
+md.solidearth.settings.rigid=1; md.solidearth.settings.elastic=0;md.solidearth.settings.rotation=0;
 md=solve(md,'Sealevelrise');
 Srigid=md.results.SealevelriseSolution.Sealevel;
 
 %eustatic + rigid + elastic run:
-md.slr.rigid=1; md.slr.elastic=1;md.slr.rotation=0;
+md.solidearth.settings.rigid=1; md.solidearth.settings.elastic=1;md.solidearth.settings.rotation=0;
 md=solve(md,'Sealevelrise');
 Selastic=md.results.SealevelriseSolution.Sealevel;
 
 %eustatic + rigid + elastic + rotation run:
-md.slr.rigid=1; md.slr.elastic=1; md.slr.rotation=1;
+md.solidearth.settings.rigid=1; md.solidearth.settings.elastic=1; md.solidearth.settings.rotation=1;
 md=solve(md,'Sealevelrise');
 Srotation=md.results.SealevelriseSolution.Sealevel;